Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp	(revision 78)
@@ -7,5 +7,5 @@
  */
 
-#define NB_ITERATION 1
+#define NB_ITERATION 16
 
 #include "Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/include/test.h"
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/include/Parameters.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/include/Parameters.h	(revision 78)
@@ -37,5 +37,5 @@
   public : ~Parameters () ;
 
-  public :        std::string   msg_error  (void);
+  public :        Parameters_test msg_error  (void);
   public :        std::string   print      (uint32_t depth);
   public : friend std::ostream& operator<< (std::ostream& output_stream,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/include/RegisterFile_Monolithic.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/include/RegisterFile_Monolithic.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/include/RegisterFile_Monolithic.h	(revision 78)
@@ -52,8 +52,4 @@
   private   : counter_t                      * _stat_nb_read;
   private   : counter_t                      * _stat_nb_write;
-  private   : counter_t                      * _stat_average_read ;
-  private   : counter_t                      * _stat_average_write;
-  private   : counter_t                      * _stat_percent_use_read ;
-  private   : counter_t                      * _stat_percent_use_write;
 #endif
 
@@ -88,5 +84,5 @@
 
     // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
-  private   : SC_REGISTER (Tdata_t)        ** reg_DATA         ;
+  private   : Tdata_t * reg_DATA;
 
     // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/Parameters_msg_error.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/Parameters_msg_error.cpp	(revision 78)
@@ -17,43 +17,21 @@
 namespace registerfile_monolithic    {
 
-  std::string Parameters::msg_error(void)
+  Parameters_test Parameters::msg_error(void)
   {
-    std::string msg = "";
+    Parameters_test test("RegisterFile_Monolithic");
 
     if ((8*sizeof(Tdata_t)) < _size_word)
-      {
-        msg += "  - type \"Tdata_t\" is too little to the size defined by size_word\n";
-        msg += "    * size_word                       : " + toString(_size_word) + "\n";
-	msg += "    * Tdata_t                   (bits): " + toString(8*(sizeof(Tdata_t))) + "\n";
-      }
+      test.error("Type \"Tdata_t\" is too little to the size defined by size_word");
 
     if ((8*sizeof(Taddress_t)) < log2(_nb_word))
-      {
-        msg += "  - type \"Taddress_t\" is too little to the size defined by nb_word\n";
-        msg += "    * nb_word                         : " + toString(_nb_word)    + "\n";
-	msg += "      > size                   (bits) : " + toString(log2(_nb_word)) + "\n";
-	msg += "    * Taddress_t               (bits) : " + toString(8*(sizeof(Taddress_t))) + "\n";
-      }
+      test.error("type \"Taddress_t\" is too little to the size defined by nb_word");
 
     if ((_nb_port_read + _nb_port_read_write) < 1)
-      {
-        msg += "  - you need a read port\n";
-        msg += "    * nb_port_read                    : " + toString(_nb_port_read)       + "\n";
-        msg += "    * nb_port_read_write              : " + toString(_nb_port_read_write) + "\n";
-      }
+      test.error("you need a read port");
 
     if ((_nb_port_write + _nb_port_read_write) < 1)
-      {
-        msg += "  - you need a write port\n";
-        msg += "    * nb_port_write                   : " + toString(_nb_port_write)      + "\n";
-        msg += "    * nb_port_read_write              : " + toString(_nb_port_read_write) + "\n";
-      }
-//     if (_nb_word < 2)
-//       {
-//         msg += "  - nb_word must be >= 2\n";
-//         msg += "    * nb_word                         : " + toString(_nb_word)    + "\n";
-//       }
+      test.error("you need a write port");
 
-    return msg;
+    return test;
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_allocation.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_allocation.cpp	(revision 78)
@@ -120,12 +120,6 @@
 
     // ----- Register
-    reg_DATA = new SC_REGISTER (Tdata_t) * [_param->_nb_word];
+    reg_DATA = new Tdata_t [_param->_nb_word];
     
-    for (uint32_t i=0; i<_param->_nb_word; i++)
-      {
-	std::string rename = "reg_DATA["  + toString(i) + "]";
-	reg_DATA [i]  = new SC_REGISTER (Tdata_t) (rename.c_str());
-      }
-
 #ifdef POSITION
     _component->generate_file();
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_genMealy_read.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_genMealy_read.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_genMealy_read.cpp	(revision 78)
@@ -29,11 +29,8 @@
 	    else
 	      address = 0;
-	    Tdata_t    data    = REGISTER_READ(reg_DATA[address]);
+	    Tdata_t    data    = reg_DATA[address];
 
 	    log_printf(TRACE,RegisterFile,"genMealy_read","[%d] -> %.8x",static_cast<uint32_t>(address),static_cast<uint32_t>(data));
 
-#ifdef STATISTICS
-	    (*_stat_nb_read) ++;
-#endif    
 	    // Write in registerFile
 	    PORT_WRITE(out_READ_DATA[i],data);
@@ -61,5 +58,5 @@
 	      address = 0;
 	    
-	    data = REGISTER_READ(reg_DATA[address]);
+	    data = reg_DATA[address];
 
 	    log_printf(TRACE,RegisterFile,"genMealy_read","[%d] -> %.8x",static_cast<uint32_t>(address),static_cast<uint32_t>(data));
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_statistics_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_statistics_declaration.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_statistics_declaration.cpp	(revision 78)
@@ -23,16 +23,10 @@
     _stat_nb_read           = _stat->create_variable("nb_read" );
     _stat_nb_write          = _stat->create_variable("nb_write");
-    
-    _stat_average_read      = _stat->create_counter("average_read" , "", "Average read by cycle");
-    _stat_average_write     = _stat->create_counter("average_write", "", "Average write by cycle");
 
-    _stat_percent_use_read  = _stat->create_counter("percent_use_read" , "%", "Read port usage");
-    _stat_percent_use_write = _stat->create_counter("percent_use_write", "%", "Write port usage");
+    _stat->create_expr_average_by_cycle("average_read" , "nb_read" , "", "Average read by cycle" );
+    _stat->create_expr_average_by_cycle("average_write", "nb_write", "", "Average write by cycle");
 
-    _stat->create_expr("average_read" , "/ nb_read  cycle", false);
-    _stat->create_expr("average_write", "/ nb_write cycle", false);
-
-    _stat->create_expr("percent_use_read" , "/ * average_read  100 " + toString(_param->_nb_port_read +_param->_nb_port_read_write), false);
-    _stat->create_expr("percent_use_write", "/ * average_write 100 " + toString(_param->_nb_port_write+_param->_nb_port_read_write), false);
+    _stat->create_expr_percent         ("percent_use_read" , "average_read" , toString(_param->_nb_port_read +_param->_nb_port_read_write), "Percent read by cycle" );
+    _stat->create_expr_percent         ("percent_use_write", "average_write", toString(_param->_nb_port_write+_param->_nb_port_read_write), "Percent write by cycle");
 
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_transition.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/src/RegisterFile_Monolithic_transition.cpp	(revision 78)
@@ -38,5 +38,5 @@
 
 	    // Write in registerFile
-	    REGISTER_WRITE(reg_DATA[address],data);
+	    reg_DATA[address] = data;
  	  }
       }
@@ -62,5 +62,5 @@
 		
 		// Write in registerFile
-		REGISTER_WRITE(reg_DATA[address],data);
+		reg_DATA[address] = data;
 	      }
 #ifdef STATISTICS
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Parameters.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Parameters.h	(revision 78)
@@ -64,5 +64,5 @@
   public : ~Parameters () ;
 
-  public :        std::string   msg_error  (void);
+  public :        Parameters_test msg_error  (void);
   public :        std::string   print      (uint32_t depth);
   public : friend std::ostream& operator<< (std::ostream& output_stream,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h	(revision 78)
@@ -73,5 +73,5 @@
 
     // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
-  private   : SC_REGISTER (Tdata_t)       *** reg_DATA         ;
+  private   : Tdata_t ** reg_DATA;
 
     // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters_msg_error.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters_msg_error.cpp	(revision 78)
@@ -15,33 +15,22 @@
 
 
-  std::string Parameters::msg_error(void)
+  Parameters_test Parameters::msg_error(void)
   {
     log_printf(FUNC,RegisterFile_Multi_Banked,"msg_error","Begin");
 
-    std::string msg = "";
+    Parameters_test test("RegisterFile_Multi_Banked");
 
     if (_nb_port_read < _nb_port_read_by_bank)
-      {
-        msg += "  - Each bank read's port must be higher at number of read port\n";
-        msg += "    * nb_port_read                    : " + toString(_nb_port_read        ) + "\n";
-        msg += "    * nb_port_read_by_bank            : " + toString(_nb_port_read_by_bank) + "\n";
-      }
+      test.error("Each bank read's port must be higher at number of read port");
 
     if (_nb_port_write < _nb_port_write_by_bank)
-      {
-        msg += "  - Each bank write's port must be higher at number of write port\n";
-        msg += "    * nb_port_write                   : " + toString(_nb_port_write        ) + "\n";
-        msg += "    * nb_port_write_by_bank           : " + toString(_nb_port_write_by_bank) + "\n";
-      }
+      test.error("Each bank write's port must be higher at number of write port");
     
     if (_nb_bank < 1)
-      {
-        msg += "  - nb_bank must be higher at 1\n";
-        msg += "    * nb_bank                         : " + toString(_nb_bank             ) + "\n";
-      }
-
-    return msg;
+      test.error("nb_bank must be higher at 1");
 
     log_printf(FUNC,RegisterFile_Multi_Banked,"msg_error","End");
+
+    return test;
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_allocation.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_allocation.cpp	(revision 78)
@@ -96,15 +96,9 @@
     // ~~~~~[ Registers ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-    reg_DATA = new SC_REGISTER (Tdata_t) ** [_param->_nb_bank];
+    reg_DATA = new Tdata_t * [_param->_nb_bank];
 
     for (uint32_t i=0; i<_param->_nb_bank; i++)
       {
-	reg_DATA [i] = new SC_REGISTER (Tdata_t) * [_param->_nb_word];
-	
-	for (uint32_t j=0; j<_param->_nb_word; j++)
-	  {
-	    std::string rename = "reg_DATA_"  + toString(i) + "_"  + toString(j);
-	    reg_DATA [i][j]  = new SC_REGISTER (Tdata_t) (rename.c_str());
-	  }
+	reg_DATA [i] = new Tdata_t [_param->_nb_word];
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_full_crossbar_genMealy_read.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_full_crossbar_genMealy_read.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_full_crossbar_genMealy_read.cpp	(revision 78)
@@ -62,5 +62,5 @@
 		    log_printf(TRACE,RegisterFile_Multi_Banked,"full_crossbar_genMealy_read"," * bank_port : %d",j);
 
-		    Tdata_t    data    = REGISTER_READ(reg_DATA[bank][num_reg]);
+		    Tdata_t    data    = reg_DATA[bank][num_reg];
 		    
 		    log_printf(TRACE,RegisterFile_Multi_Banked,"full_crossbar_genMealy_read"," * data      : %d",data);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_partial_crossbar_genMealy_read.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_partial_crossbar_genMealy_read.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_partial_crossbar_genMealy_read.cpp	(revision 78)
@@ -64,5 +64,5 @@
 		    log_printf(TRACE,RegisterFile_Multi_Banked,"full_crossbar_genMealy_read"," * bank_port : %d",j);
 
-		    Tdata_t    data    = REGISTER_READ(reg_DATA[bank][num_reg]);
+		    Tdata_t    data    = reg_DATA[bank][num_reg];
 		    
 		    log_printf(TRACE,RegisterFile_Multi_Banked,"full_crossbar_genMealy_read"," * data      : %d",data);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_transition.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_transition.cpp	(revision 78)
@@ -31,5 +31,5 @@
 	    
  	    // Write in registerFile
- 	    REGISTER_WRITE(reg_DATA[internal_WRITE_BANK[i]][internal_WRITE_NUM_REG[i]],data);
+ 	    reg_DATA[internal_WRITE_BANK[i]][internal_WRITE_NUM_REG[i]] = data;
  	  }
       }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/include/Parameters.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/include/Parameters.h	(revision 78)
@@ -43,5 +43,5 @@
   public : ~Parameters () ;
 
-  public :        std::string   msg_error  (void);
+  public :        Parameters_test  msg_error  (void);
   public :        std::string   print      (uint32_t depth);
   public : friend std::ostream& operator<< (std::ostream& output_stream,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/include/RegisterFile.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/include/RegisterFile.h	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/include/RegisterFile.h	(revision 78)
@@ -5,5 +5,5 @@
  * $Id$
  *
- * [ Description ]
+ * [ Description ]
  * 
  */
@@ -41,5 +41,5 @@
 #endif
   {
-    // -----[ fields ]----------------------------------------------------
+    // -----[ fields ]----------------------------------------------------
     // Parameters
   protected : const std::string       _name;
@@ -54,5 +54,5 @@
 
 #ifdef SYSTEMC
-    // ~~~~~[ Interface ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
     // Interface
   public    : SC_CLOCK                      *  in_CLOCK        ;
@@ -73,13 +73,13 @@
 #endif
 
-    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
   protected : morpheo::behavioural::generic::registerfile::registerfile_monolithic  ::RegisterFile_Monolithic  ::RegisterFile_Monolithic   * component_RegisterFile_Monolithic  ;
   protected : morpheo::behavioural::generic::registerfile::registerfile_multi_banked::RegisterFile_Multi_Banked::RegisterFile_Multi_Banked * component_RegisterFile_Multi_Banked;
 
-    // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+    // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
-    // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-    // -----[ methods ]---------------------------------------------------
+    // -----[ methods ]---------------------------------------------------
 
 #ifdef SYSTEMC
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/src/Parameters_msg_error.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/src/Parameters_msg_error.cpp	(revision 78)
@@ -16,14 +16,10 @@
 
 
-  std::string Parameters::msg_error(void)
+  Parameters_test Parameters::msg_error(void)
   {
-    log_printf(FUNC,RegisterFile,"msg_error","Begin");
-
     if (_instance == instance_RegisterFile_Monolithic)
       return _param_registerfile_monolithic  ->msg_error();
     else
       return _param_registerfile_multi_banked->msg_error();
-    
-    log_printf(FUNC,RegisterFile,"msg_error","End");
   };
 
